# Uses of Enum
org.eclipse.mat.query.BytesDisplay

Packages that use BytesDisplay
Package
Description
org.eclipse.mat.query
Package for examining and controlling results of running queries.

## Uses of BytesDisplay in org.eclipse.mat.query

Fields in org.eclipse.mat.query declared as BytesDisplay
Modifier and Type
Field
Description
`static final BytesDisplay`
BytesDisplay.`DEFAULT`
Default bytes display format.
Methods in org.eclipse.mat.query that return BytesDisplay
Modifier and Type
Method
Description
`static BytesDisplay`
BytesDisplay.`getCurrentValue()`
Return the currently selected preference from the system properties.
`static BytesDisplay`
BytesDisplay.`parse(String value)`
Given a stored preference value, return the enumeration value, or otherwise the default.
`static BytesDisplay`
BytesDisplay.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static BytesDisplay[]`
BytesDisplay.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.mat.query with parameters of type BytesDisplay
Modifier and Type
Method
Description
`static void`
BytesDisplay.`setCurrentValue(BytesDisplay val)`
Uses system properties to set the current value.